Name:		perl-Config-ApacheFormat
Version:	1.2
Release:	8%{?dist}
Summary:	Use Apache format config files

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Config-ApacheFormat
Source0:	http://search.cpan.org/CPAN/authors/id/S/SA/SAMTREGAR/Config-ApacheFormat-%{version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::MethodMaker)
BuildRequires:	perl(Text::Balanced)


Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# (Data::Dumper is used only in runtime, not in tests)
Requires:	perl(Data::Dumper)
Requires:	perl(Class::MethodMaker)



%description
This module is designed to parse a configuration file in the same syntax used by
the Apache web server (see http://httpd.apache.org for details). This allows you
to build applications which can be easily managed by experienced Apache admins.
Also, by using this module, you'll benefit from the support for nested blocks
with built-in parameter inheritance. This can greatly reduce the amount or
repeated information in your configuration files.


%prep
%setup -q -n Config-ApacheFormat-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.2-7
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.2-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Petr Pisar <ppisar@redhat.com> - 1.2-3
- Perl 5.18 rebuild

* Mon Jun 17 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.2-2
- Added missing Require Class::MethodMaker

* Wed Jan 23 2013 Normunds Neimanis <fedorapkg at rule.lv> 1.2-1
- Package for current Fedora
